Package org.jboss.resteasy.plugins.validation

## Class SimpleViolationsContainer

- java.lang.Object
- - org.jboss.resteasy.api.validation.SimpleViolationsContainer
  - - org.jboss.resteasy.plugins.validation.SimpleViolationsContainer

- All Implemented Interfaces:
    `Serializable`

      public class SimpleViolationsContainer
      extends SimpleViolationsContainer
      implements Serializable

  Version:
    $Revision: 1.1 $ Copyright Jul 18, 2015
  Author:
    Ron Sigal
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleViolationsContainer​(Object target)` |
    `SimpleViolationsContainer​(Set<javax.validation.ConstraintViolation<Object>> cvs)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addViolations​(Set<javax.validation.ConstraintViolation<Object>> cvs)` | If some ConstraintViolations are created by Resteasy and some are created by CDI, two essentially identical ones might appear to be different.

    - ### Methods inherited from class org.jboss.resteasy.api.validation.SimpleViolationsContainer

      `getException, getTarget, getViolations, isFieldsValidated, setException, setFieldsValidated, setTarget, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleViolationsContainer

          public SimpleViolationsContainer​(Object target)

    - #### SimpleViolationsContainer

          public SimpleViolationsContainer​(Set<javax.validation.ConstraintViolation<Object>> cvs)

  - ### Method Detail

    - #### addViolations

          public void addViolations​(Set<javax.validation.ConstraintViolation<Object>> cvs)

      If some ConstraintViolations are created by Resteasy and some are created by CDI, two essentially identical ones might appear to be different. For example, those created by Resteasy might refer to CDI proxy classes while those created by CDI might refer to the backing java classes.
      Overrides:
        `addViolations` in class `SimpleViolationsContainer`